//*----------------------------------------------------------------------------
// ERDEBUG.H
//*----------------------------------------------------------------------------
#ifndef __ERDEBUG_H
#define __ERDEBUG_H
//*----------------------------------------------------------------------------
#include <stdarg.h>
#include "stm32f0xx.h"
//*----------------------------------------------------------------------------
#define PAD_RIGHT 1
#define PAD_ZERO 2
//*----------------------------------------------------------------------------
// DBG
//*----------------------------------------------------------------------------
#ifdef ERDEBUG
  #define dbg(...) printf(__VA_ARGS__)
  #define dbg_init(n) DBG_init(n)
  #define dbg_dump(adr,anz) DBG_dump(adr,anz)
#else
  #define dbg(...)
  #define dbg_init(baud)
  #define dbg_dump(adr,anz)
#endif
//*----------------------------------------------------------------------------
// FUNKTIONSPROTOTYPEN
//*----------------------------------------------------------------------------
extern void DBG_init(u32 baudrate);
extern void DBG_dump(u8 *adr, u32 anz);
//*----------------------------------------------------------------------------
extern int printf(const char *format, ...);
extern int sprintf(char *out, const char *format, ...);
//*----------------------------------------------------------------------------
#endif

